Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.marshaller.json
[Java] Class DateMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.json.DateMarshaller

All Implemented Interfaces:
  ObjectMarshaller

    public class DateMarshaller
    extends java.lang.Object

JSON ObjectMarshaller which converts a Date Object, conforming to the ECMA-Script-Specification Draft, to a String value.

Authors:
  Siegfried Puchbauer

Since:
  1.1

Constructor Summary
`DateMarshaller(java.text.Format formatter)` Constructor with a custom formatter.
`DateMarshaller()` Default constructor.

Method Summary
`void` | `marshalObject(java.lang.Object object, JSON converter)`
`boolean` | `supports(java.lang.Object object)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DateMarshaller

    public DateMarshaller(java.text.Format formatter)

  Constructor with a custom formatter.
  Parameters:
    `formatter` - the formatter

### DateMarshaller

    public DateMarshaller()

  Default constructor.

Method Detail

### marshalObject

    public void marshalObject(java.lang.Object object, JSON converter)

### supports

    public boolean supports(java.lang.Object object)

Groovy Documentation